<?php

  /*

    All functions and code Copyright Chirag Mehta 2006
    Unless otherwise mentioned
    This code is lazily released under Creative Commons License:
      http://creativecommons.org/licenses/by/2.5/

  */

  // Do not edit this section
  set_time_limit(60000);
  define('TAGLINE_GENPATH', dirname(__FILE__));
  require_once(TAGLINE_GENPATH . "/source/tagline.php");


  // CUSTOMIZE THIS SECTION
  $tagline = new Tagline("demo"); // Tagline ID - use simple alpha-numerics (e.g. "myblog", "tag01", "historycloud1492" etc.)

  $tagline->loadData("demo.xml"); // populate the XML file/url with text from any number of documents, 100 - 500 recommended

  // Alternatively you can directly pass an array to loadData with columns header & body
  // Both header and body columns can have HTML code
  /*
     $dataSrc = array(
                       array("header" => "Page 01", "body" => "Here is the entire tlext tlext tlext frpom Page 1."),
                       array("header" => "Page 02", "body" => "Here is a lot more text frpom Page 2."),
                       array("header" => "Page 03", "body" => "good range for maximum tags tags tags tags tags to show per cloud")
                     );
     $tagline->loadData($dataSrc);
  */

  $tagline->maxTags        = 64;                    // 40 - 200 is a good range for maximum tags to show per cloud
  $tagline->stickiness     = 0.5;                   // (0 = 0% to 1 = 100%) How much effect does past usage of words have on newer clouds

  $tagline->oldColor       = array(100, 100, 100);  // RGB values (0-255)
  $tagline->newColor       = array(255, 255, 255);  // RGB values (0-255)
  $tagline->minFont        = 11;                    // Size in pixels (6 - 64)
  $tagline->maxFont        = 48;                    // Size in pixels (6 - 64)

  $tagline->ignoreWordList = "large";               // "large" (default) or "small"

  // Here you can add more words that you want to exclude from your tag cloud
  $alsoIgnore = array("apt", "avail", "depute", "not", "upon", "derive");
  $tagline->alsoIgnoreWords($alsoIgnore);

  // If you wish to include some commonly ignored words like "love" or "citizen", specify here
  $dontIgnore = array("citizen", "love", "truth");
  $tagline->dontIgnoreWords($dontIgnore);

  // You may combine certain similar words into one form
  // If you wish to replace "economic" with "economy"
  //    then add: "economic" => "economy"

  $combineWords = array(
                         "economic"  => "economy",
                         "european"  => "europe",
                         "eurupeans" => "europe"
                       );

  $tagline->combineWords($combineWords);

  // save() makes 3 files with the same name as the tagline ID
  // e.g. if tagline ID = "demo"
  //   demo.html = static html file in sample template - great for preview
  //
  //   demo.php  = basic html template to display dynamic tagline = setup your own design in similar format
  //   demo.htm  = dynamic tags that will be displayed in your own design

  $tagline->save();

  // Or alternatively you can just get the actual Tagline HTML Code and save it however you want
  // Note: You will have to create the HTML/PHP page to show the tagline and link to javascript/css
  // Use this option when you wish to recreate the tagline with newer data

  /*
    $taglineHTML = $tagline->generate();
    file_put_contents("test.html", $taglineHTML);
  */

?>
<a href="index.php">Back to Index</li>
